xine-lib: IPin_vt Struct Reference

xine-lib 1.2.12

Data Fields
IPin_vt Struct Reference

`#include <interfaces.h>`

## Data Fields
long STDCALL(* | QueryInterface )(IUnknown *This, const GUID *riid, void **ppvObject)
long STDCALL(* | AddRef )(IUnknown *This)
long STDCALL(* | Release )(IUnknown *This)
HRESULT STDCALL(* | Connect )(IPin *This, IPin *pReceivePin, AM_MEDIA_TYPE *pmt)
HRESULT STDCALL(* | ReceiveConnection )(IPin *This, IPin *pConnector, const AM_MEDIA_TYPE *pmt)
HRESULT STDCALL(* | Disconnect )(IPin *This)
HRESULT STDCALL(* | ConnectedTo )(IPin *This, IPin **pPin)
HRESULT STDCALL(* | ConnectionMediaType )(IPin *This, AM_MEDIA_TYPE *pmt)
HRESULT STDCALL(* | QueryPinInfo )(IPin *This, PIN_INFO *pInfo)
HRESULT STDCALL(* | QueryDirection )(IPin *This, PIN_DIRECTION *pPinDir)
HRESULT STDCALL(* | QueryId )(IPin *This, unsigned short **Id)
HRESULT STDCALL(* | QueryAccept )(IPin *This, const AM_MEDIA_TYPE *pmt)
HRESULT STDCALL(* | EnumMediaTypes )(IPin *This, IEnumMediaTypes **ppEnum)
HRESULT STDCALL(* | QueryInternalConnections )(IPin *This, IPin **apPin, unsigned long *nPin)
HRESULT STDCALL(* | EndOfStream )(IPin *This)
HRESULT STDCALL(* | BeginFlush )(IPin *This)
HRESULT STDCALL(* | EndFlush )(IPin *This)
HRESULT STDCALL(* | NewSegment )(IPin *This, REFERENCE_TIME tStart, REFERENCE_TIME tStop, double dRate)

## Field Documentation

## ◆ AddRef

long STDCALL(* IPin_vt::AddRef) (IUnknown *This)

Referenced by CEnumPins_Next(), CInputPinCreate(), COutputPin_M_QueryInterface(), COutputPin_QueryInterface(), COutputPinCreate(), CRemotePin2Create(), CRemotePin_ConnectedTo(), CRemotePinCreate(), and DS_FilterCreate().

## ◆ BeginFlush

HRESULT STDCALL(* IPin_vt::BeginFlush) (IPin *This)

Referenced by CInputPinCreate(), and COutputPinCreate().

## ◆ Connect

HRESULT STDCALL(* IPin_vt::Connect) (IPin *This, IPin *pReceivePin, AM_MEDIA_TYPE *pmt)

Referenced by CInputPinCreate(), and COutputPinCreate().

## ◆ ConnectedTo

HRESULT STDCALL(* IPin_vt::ConnectedTo) (IPin *This, IPin **pPin)

Referenced by CInputPinCreate(), COutputPinCreate(), and CRemotePinCreate().

## ◆ ConnectionMediaType

HRESULT STDCALL(* IPin_vt::ConnectionMediaType) (IPin *This, AM_MEDIA_TYPE *pmt)

Referenced by CInputPinCreate(), COutputPinCreate(), and CRemotePinCreate().

## ◆ Disconnect

HRESULT STDCALL(* IPin_vt::Disconnect) (IPin *This)

Referenced by CInputPinCreate(), COutputPinCreate(), and DS_Filter_Destroy().

## ◆ EndFlush

HRESULT STDCALL(* IPin_vt::EndFlush) (IPin *This)

Referenced by CInputPinCreate(), and COutputPinCreate().

## ◆ EndOfStream

HRESULT STDCALL(* IPin_vt::EndOfStream) (IPin *This)

Referenced by CInputPinCreate(), and COutputPinCreate().

## ◆ EnumMediaTypes

HRESULT STDCALL(* IPin_vt::EnumMediaTypes) (IPin *This, IEnumMediaTypes **ppEnum)

Referenced by CInputPinCreate(), and COutputPinCreate().

## ◆ NewSegment

HRESULT STDCALL(* IPin_vt::NewSegment) (IPin *This, REFERENCE_TIME tStart, REFERENCE_TIME tStop, double dRate)

Referenced by CInputPinCreate(), and COutputPinCreate().

## ◆ QueryAccept

HRESULT STDCALL(* IPin_vt::QueryAccept) (IPin *This, const AM_MEDIA_TYPE *pmt)

Referenced by CInputPinCreate(), COutputPinCreate(), and DS_FilterCreate().

## ◆ QueryDirection

HRESULT STDCALL(* IPin_vt::QueryDirection) (IPin *This, PIN_DIRECTION *pPinDir)

Referenced by CInputPinCreate(), COutputPinCreate(), CRemotePinCreate(), and DS_FilterCreate().

## ◆ QueryId

HRESULT STDCALL(* IPin_vt::QueryId) (IPin *This, unsigned short **Id)

Referenced by CInputPinCreate(), and COutputPinCreate().

## ◆ QueryInterface

long STDCALL(* IPin_vt::QueryInterface) (IUnknown *This, const GUID *riid, void **ppvObject)

Referenced by CInputPinCreate(), COutputPinCreate(), CRemotePin2Create(), CRemotePinCreate(), and DS_FilterCreate().

## ◆ QueryInternalConnections

HRESULT STDCALL(* IPin_vt::QueryInternalConnections) (IPin *This, IPin **apPin, unsigned long *nPin)

Referenced by CInputPinCreate(), and COutputPinCreate().

## ◆ QueryPinInfo

HRESULT STDCALL(* IPin_vt::QueryPinInfo) (IPin *This, PIN_INFO *pInfo)

Referenced by CInputPinCreate(), COutputPinCreate(), CRemotePin2Create(), and CRemotePinCreate().

## ◆ ReceiveConnection

HRESULT STDCALL(* IPin_vt::ReceiveConnection) (IPin *This, IPin *pConnector, const AM_MEDIA_TYPE *pmt)

Referenced by CInputPinCreate(), COutputPinCreate(), and DS_FilterCreate().

## ◆ Release

long STDCALL(* IPin_vt::Release) (IUnknown *This)

Referenced by CBaseFilter2_Destroy(), CBaseFilter_Destroy(), CInputPinCreate(), COutputPinCreate(), CRemotePin2Create(), CRemotePinCreate(), DS_Filter_Destroy(), and DS_FilterCreate().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/libw32dll/DirectShow/interfaces.h